<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.tvo</groupId>
	<artifactId>webportal</artifactId>
	<packaging>war</packaging>
	<version>0.0.1</version>
	<name>webportal Maven Webapp</name>
	<url>http://maven.apache.org</url>
    
	<repositories>
		<repository>
			<id>org.eclnt</id>
			<url>https://www.captaincasa.com/mavenrepository</url>
		</repository>
       <!-- Repository for dependent artifacts -->
        <repository>
            <id>mvnrepository.com</id>
            <url>https://mvnrepository.com/repos/central</url>
        </repository>
		<repository>
			<id>org.outerj</id>
			<url>https://maven.atlassian.com/3rdparty/</url>
		</repository>
	</repositories>

    
    <properties>
        <!-- This is the CaptainCasa version to be used. -->
        <cc.version>20250128</cc.version>
    </properties>
    
    <dependencies> 
		
		<!-- Nanoleaf API Java -->
		<!-- 
			https://github.com/amybytes/nanoleaf-api
			
			https://github.com/amybytes/nanoleaf-aurora
			
			
			
		-->
		<dependency>
  			<groupId>io.github.rowak</groupId>
  			<artifactId>nanoleaf-api</artifactId>
  			<version>0.1.2</version>
		</dependency>
		<dependency>
  			<groupId>io.github.rowak</groupId>
  			<artifactId>nanoleaf-aurora</artifactId>
  			<version>1.5.2</version>
		</dependency>
		
		
		<dependency>
		    <groupId>org.eclnt</groupId>
		    <artifactId>eclntjsfserverRISC_jakarta</artifactId>
		    <version>${cc.version}</version>
		</dependency>        
		<!-- optional: addon pacakges -->
		
		<dependency>
		    <groupId>org.eclnt</groupId>
		    <artifactId>eclntccee_jakarta</artifactId>
		    <version>${cc.version}</version>
		</dependency>        
		<dependency>
		    <groupId>org.eclnt</groupId>
		    <artifactId>eclntpbc_jakarta</artifactId>
		    <version>${cc.version}</version>
		</dependency>        
		<!-- geis shared project -->
		<dependency>
			<groupId>de.tvo</groupId>
			<artifactId>web_shared</artifactId>
			<version>1</version>
			<exclusions>
				<exclusion>
					<artifactId>
						javax.xml.bind</artifactId>
					<groupId>jsr173_api</groupId>
				</exclusion>
				<exclusion>
					<artifactId>
						jsr173_api</artifactId>
					<groupId>javax.xml.bind </groupId>
				</exclusion>
			</exclusions>
		</dependency> 
		<dependency>
			<groupId>
				jakarta.platform</groupId>
			<artifactId>
				jakarta.jakartaee-api</artifactId>
			<version>9.1.0</version>
			<scope>provided</scope>
		</dependency>
	</dependencies>
    
	<build>
		<finalName>webportal</finalName>
		<plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>3.3.1</version>
            </plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.12.1</version>
				<configuration>
					<source>21</source>
					<target>21</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<version>3.1.1</version>
				<configuration>
					<skip>true</skip>
				</configuration>
			</plugin>
                        <!--
            OPTIONAL COPYING OF TOOLSET
            
            Copies the tools for the version into /cctoolset-directory of project.
            You may then directly start it, e.g. by batch file:
            
            /projectdirectory
                /cctoolset
                    eclnteditor_springboot_jakarta.war 
                    start.bat
                
            In start.bat: 
            
            java -jar eclnteditor_springboot_jakarta.war configDir=../cctoolsetconfig
            
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>cctoolset-copy</id>
                        <phase>package</phase>
                        <goals><goal>copy</goal></goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.eclnt</groupId>
                                    <artifactId>eclnteditor_springboot</artifactId>
                                    <version>${cc.version}</version>
                                    <type>war</type>
                                    <overWrite>true</overWrite>
                                    <outputDirectory>${project.basedir}/cctoolset</outputDirectory>
                                    <destFileName>eclnteditor_springboot_jakarta.war</destFileName>
                                </artifactItem>
                            </artifactItems>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            -->
		</plugins>
	</build>
    
</project>
